/*
 * LED_driver.h
 *
 *  Created on: 2. 4. 2020
 *      Author: Ondrej Vitoslavsky
 */

#ifndef LED_DRIVER_H_
#define LED_DRIVER_H_

#include "main.h"



#define LED1_RED_PIN        GPIO_PIN_15
#define LED1_GRN_PIN        GPIO_PIN_14
#define LED1_YEL_PIN        GPIO_PIN_13
#define LED1_GPIO_PORT      GPIOF

#define LED2_RED_PIN        GPIO_PIN_12
#define LED2_GRN_PIN        GPIO_PIN_13
#define LED2_YEL_PIN        GPIO_PIN_15
#define LED2_GPIO_PORT      GPIOG



#define JP1_5_PIN        	GPIO_PIN_7
#define JP1_4_PIN        	GPIO_PIN_6
#define JP1_3_PIN        	GPIO_PIN_5
#define JP1_2_PIN        	GPIO_PIN_4
#define JP1_1_PIN        	GPIO_PIN_3
#define JP1_0_PIN        	GPIO_PIN_2
#define JP1_GPIO_PORT      	GPIOG


void LED_Init(void);


void LED_On(uint16_t Led,GPIO_TypeDef* GPIOx);
void LED_Off(uint16_t Led,GPIO_TypeDef* GPIOx);
void LED_Toggle(uint16_t Led,GPIO_TypeDef* GPIOx);

void JP1_Init(void);
uint8_t JP1_Is_Connected(uint16_t Pin);

#endif /* LED_DRIVER_H_ */
